LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XInteractionHandler2 Interface Referencepublished

An interaction request handler. More...

`import"XInteractionHandler2.idl";`

Inheritance diagram for XInteractionHandler2:

## Public Member Functions
boolean | handleInteractionRequest ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request. More...
Public Member Functions inherited from XInteractionHandler
void | handle ([in] com::sun::star::task::XInteractionRequest Request)
| Handle an interaction request. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interaction request handler.

This interface extends the interface XInteractionHandler the way that a caller can determine whether an interaction request was actually handled by the interaction handler.

Since
  OOo 3.2

## Member Function Documentation

## ◆ handleInteractionRequest()

boolean handleInteractionRequest | ( | [in] com::sun::star::task::XInteractionRequest | Request | ) |

Handle an interaction request.

Parameters

  Request | the interaction request to handle.

Returns
  `TRUE`, if the handler handled the request, `FALSE` otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XInteractionHandler2.idl